// SessClient.java
// mini Client for accessing bean Sess

package samplehttp.beans;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

/**
 *
 */
public class SessClient {

    static Context ctx = null; 
    static SessHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "sessSessSLRHome";
	try {
	    home = (SessHome) PortableRemoteObject.narrow(ctx.lookup(bName), SessHome.class);
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
